SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004692SOGoWeb Mailpublic2019-02-27 06:362019-07-06 11:25
Reporterschmirl 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0.6 
Target VersionFixed in Version4.0.8 
Summary0004692: No body displayed for UTF8 HTML messages with invalid characters
DescriptionNo body will be shown for a text/html MIME part with charset=UTF-8 which contains
invalid UTF8 like e.g. an iso-8859-1 encoded character. Usually the problem are just a few characters, so it would be great if invalid UTF8 sequences could be removed or replaced with some sort of placeholder.

Message will display ok when flagged as text/plain
Steps To Reproduce1. create a html message in utf8 format and place e.g. an iso-8859-1 encoded character in it
2. view it in SOGo web UI
Additional InformationProblem showed up with SOGo BTS activities mail from 2019-02-26, containing an "รค" in iso8859-1 encoding (hex e4). Attached a stripped down hand crafted mail plus the SOGo BTS activities mail.


TagsNo tags attached.
Attached Filesmsg file icon iso8859-1_in_utf8.msg [^] (212 bytes) 2019-02-27 06:36
eml file icon sogo_bts.eml [^] (6,210 bytes) 2019-02-27 06:37

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0004513resolvedludovic HTML body contents are not displayed in some messages 

-  Notes
(0013637)
schmirl (reporter)
2019-06-17 07:17

I can confirm that the fix for 0004513 resolves this issue. Thanks!

- Issue History
Date Modified Username Field Change
2019-02-27 06:36 schmirl New Issue
2019-02-27 06:36 schmirl File Added: iso8859-1_in_utf8.msg
2019-02-27 06:37 schmirl File Added: sogo_bts.eml
2019-06-17 07:17 schmirl Note Added: 0013637
2019-06-17 08:22 francis Relationship added duplicate of 0004513
2019-06-17 08:22 francis Status new => resolved
2019-06-17 08:22 francis Fixed in Version => 4.0.8
2019-06-17 08:22 francis Resolution open => fixed
2019-06-17 08:22 francis Assigned To => francis


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker